# Utiliser une image de base officielle de Node.js
FROM node:latest

# Installer ffmpeg
RUN apt-get update && apt-get install -y ffmpeg

# Définir le répertoire de travail dans le conteneur
WORKDIR /backend

# Copier le fichier package.json et package-lock.json (si disponible)
COPY package*.json ./

# Installer les dépendances Node.js
RUN npm install
RUN npm install -g pm2

# Copier le reste de l'application
COPY . .

# Exposer le port sur lequel l'application va tourner
EXPOSE 3000

# Commande pour démarrer l'application avec PM2
CMD ["pm2-runtime", "start", "server.js"]
